Gluecrawl
Runs

Get a Run

Run status and metadata.

GET/v1/runs/:id
Requires authentication

Poll until status is completed or failed, then fetch items via Get Items or CSV export.

Path parameters

NameTypeDescription
idrequireduuidRun ID returned from Create a Run or List Runs.
curl 'https://api.gluecrawl.ai/v1/runs/RUN_ID' \  -H "Authorization: Bearer glue_yourApiKeyHere"

Responses

application/json
{  "id": "660e8400-e29b-41d4-a716-446655440001",  "job_id": "550e8400-e29b-41d4-a716-446655440000",  "status": "completed",  "protection_level": "light",  "max_pages": 10,  "item_count": 120,  "page_count": 5,  "credits_used": 12,  "billing": {    "listing_pages": 5,    "detail_items": 0,    "protection_level": "light",    "credits_settled": 5  },  "created_at": "2026-04-01T09:01:00Z",  "completed_at": "2026-04-01T09:08:00Z"}